@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@500&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&display=swap');
@import url('https://fonts.googleapis.com/css2?family=Madimi+One&family=Raleway:ital,wght@0,100..900;1,100..900&family=Sriracha&display=swap');

html, body
{
    scroll-behavior: smooth;
    font-family: 'Roboto', sans-serif;
    margin: 0;
    padding: 0;
    background: rgb(251, 255, 255);
}

.content
{
    overflow-y: hidden;
    margin-top: 80px;
    width: 100%;
    height: calc(100vh - 80px);
    position: relative;
    margin-bottom: 0;
}

::selection
{
    background: #0097d3a1;
    text-shadow: 0px 0px 1px rgb(0, 0, 0);
    color: #000000;
}


@media (max-width: 768px)
{
    .content
    {
        margin-top: 40px;
        height: calc(100vh - 40px);
        overflow-y: hidden;
        overflow-x: hidden;
    }
}


/*          #region Main panel         */
.main-panel
{
    height: 100%;
    overflow-y: auto;
    overflow-x: hidden;
    padding-bottom: 80px;
    margin-left: 300px;
    transition: margin-left 0.3s;
}

.main-panel-container
{
    min-height: calc(100vh - 80px);
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    justify-content:start;
    align-items: center;
    padding-bottom: 50px;
    transition: margin-left 0.3s;
    flex-grow: 1;
}


input[type="search"]
{
    background-color: #ffffffde;
    padding: 10px;
    border: 2px solid #28414e48;
    border-radius: 50px;
    width: 610px;
    height: 56px;
    transition: border-color 0.3s;
    font-size: 120%;
    margin-top: 55px;
    padding-left: 20px;
    transition: 0.4s;
    outline: none;
    animation: FadeSearch 1.5s ease;
    box-shadow: 0 0 20px #0000000a;
}

@keyframes FadeSearch
{
    0%{
        opacity: 0;
        width: 0px;
    }
    20%{
        opacity: 0;

    }
    100%{
        opacity: 1;
        width: 610px;
    }
}

input[type="search"]:hover
{
    background-color: #ffffff;
}

input[type="search"]:focus::placeholder
{
    color: transparent;
}
input[type="search"]::placeholder
{
    color: #222;
    transition: color 0.5s ease;
}


@media (max-width: 768px)
{
    .main-panel
    {
        margin-left: 0px;
    }


    input[type="search"]
    {
        padding: 10px;
        width: 90vw;
        height: 47px;
        font-size: 110%;
        animation: FadeSearch 1.5s ease;
    }
    @keyframes FadeSearch
    {
        0%{
            opacity: 0;
            width: 0px;
        }
        20%{
            opacity: 0;

        }
        100%{
            opacity: 1;
            width: 90vw;
        }
    }
}
/* #endregion */




/*          #region For user         */
.for-user
{
    width: 93%;
    height: 100%;
    display: flex;
    justify-content: center;
    flex-direction: column;
    gap: 20px;
    margin-top: 90px;
}


.filters
{
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    gap: 15px;
    font-size: 1.3em;
    color: white;
    margin-bottom: 60px;
    animation: FiltersAnimation 1s forwards;
    animation-delay: 0.5s;
    opacity: 0;
    transform: translateY(20px);
}

@keyframes FiltersAnimation
{
    0%{
        opacity: 0;
    }
    100%{
        opacity: 1;
        transform: translateY(0px);
    }
}
.upper
{
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    gap: 20px;
    width: 100%;
}
.lower
{
    box-sizing: border-box;
    display: flex;
    justify-content: center;
    gap: 20px;
    width: 100%;
}

.filter
{
    font-size: 1em;
    font-weight: 400;
    padding: 12px 15px;
    background-color: hsl(253, 20%, 50%);
    width: calc(100% / 6);
    min-width: 140px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    transition: 0.2s ease;
    cursor: pointer;
    margin-top: 0;
}
.filter:hover
{
    transform: scale(0.95);
}
.filter.active
{
    background-color: hsl(253, 60%, 40%);
    font-weight: 1000;
}
.level-filter
{
    font-size: 1em;
    font-weight: 400;
    padding: 12px 15px;
    background-color: hsl(273, 20%, 50%);
    width: calc(100% / 6);
    min-width: 108px;
    display: flex;
    justify-content: center;
    align-items: center;
    border-radius: 10px;
    cursor: pointer;
    transition: 0.2s ease;
    margin-bottom: 0;
}
.level-filter:hover
{
    transform: scale(0.95);
}
.level-filter.active
{
    background-color: hsl(273, 60%, 40%);
    font-weight: 1000;
}


@media (max-width: 768px)
{
    .for-user
    {
        margin-top: 65px;
    }
    .filters
    {
        gap: 7px;
        font-size: 0.75em;
        margin-bottom: 60px;
    }

    .upper
    {
        gap: 8px;
    }
    .lower
    {
        gap: 8px;
    }

    .filter
    {
        padding: 8px 15px;
        width: calc((100% - 100px) / 2);
        min-width: auto;
    }
    .level-filter
    {
        padding: 12px 15px;
        width: calc((100% - 50px) / 3);
        min-width: auto;
    }

}
/* #endregion*/



/*          #region Tiles        */
.tiles
{
    width: 100%;
    height: fit-content;
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    gap: 20px;
}

.tile
{
    box-sizing: border-box;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-around;
    gap: 20px;
    width: calc((100% - 120px) / 7);
    min-width: 158px;
    height: auto;
    padding: 10px;
    border-radius: 10px;
    font-size: 0.95em;
    color: white;
    cursor: pointer;
    margin: 0;
    opacity: 0;
    transform: translateY(20px);
    animation: fadeInUp 1s ease forwards;
    transition: 0.3s ease;

}
.tile:hover
{
    box-shadow: 0 0 30px rgba(28, 43, 61, 0.699), 0 0 10px rgba(0, 41, 90, 0.466);
}
@keyframes fadeInUp
{
  0%{
    opacity: 0;
    transform: translateY(20px);
  }
  100%{
    opacity: 1;
    transform: translateY(0);
  }
}
.tile h3
{
    margin: 0;
    font-size: 1em;
    font-weight: 400;
}
.tile img
{
    margin: 0;
    width: 144px;
    height: 66.6px;
}

#t1
{
    animation-delay: 0s;
    background-color: hsl(0, 100%, 30%);
}
#t2
{
    animation-delay: 0.1s;
    background-color: hsl(26, 100%, 30%);
}
#t3
{
    animation-delay: 0.2s;
    background-color: hsl(51, 100%, 30%);
}
#t4
{
    animation-delay: 0.3s;
    background-color: hsl(77, 100%, 30%);
}
#t5
{
    animation-delay: 0.4s;
    background-color: hsl(103, 100%, 30%);
}
#t6
{
    animation-delay: 0.5s;
    background-color: hsl(129, 100%, 30%);
}
#t7
{
    animation-delay: 0.6s;
    background-color: hsl(154, 100%, 30%);
}
#t8
{
    animation-delay: 0.7s;
    background-color: hsl(180, 100%, 30%);
}
#t9
{
    animation-delay: 0.8s;
    background-color: hsl(206, 100%, 30%);
}
#t10
{
    animation-delay: 0.9s;
    background-color: hsl(231, 100%, 30%);
}
#t11
{
    animation-delay: 1s;
    background-color: hsl(257, 100%, 30%);
}
#t12
{
    animation-delay: 1.1s;
    background-color: hsl(283, 100%, 30%);
}
#t13
{
    animation-delay: 1.2s;
    background-color: hsl(308, 100%, 30%);
}
#t14
{
    animation-delay: 1.3s;
    background-color: hsl(334, 100%, 30%);
}



@media (max-width: 768px)
{
    .tiles
    {
        gap: 10px;
    }

    .tile
    {
        gap: 20px;
        width: calc((100% - 40px) / 2);
        min-width: 150px;
        font-size: 0.9em;
    }
    .tile img
    {
        width: 131px;
        height: 60.5px;
    }
}
/* #endregion*/